﻿Imports System.Net
Imports System.IO

Partial Class admin_Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        'PC or Mobile
        If Request.Browser.IsMobileDevice Then
            vPage.Style.Add("width", "100%")
            PanelMain.Style.Add("width", "100%")
            PanelMenu1.Visible = False
            PanelMenu2.Visible = True
            Image1.Style.Add("width", "100%")
            left.Style.Add("width", "100%")
            main.Style.Add("width", "100%")
        Else
            vPage.Style.Add("width", "1290px")
            PanelMain.Style.Add("width", "1040px")
            PanelMenu1.Visible = True
            PanelMenu2.Visible = False
            Image1.Style.Add("width", "1024px")
            left.Style.Add("width", "220px")
            main.Style.Add("width", "1040px")
        End If

        If Not IsPostBack Then
            '認証
            Dim xCode As String() = IsStatus.Split(",")
            Dim n As Integer = Integer.Parse(xCode(xCode.Length - 1))
            If n >= 3 Then
            Else
                Response.Redirect("../NotAllowed.aspx?msg=認証されていません DBに無し")
                Response.End()
            End If
            LabelName.Text = xCode(2)
            LabelName2.Text = xCode(2)
            LabelDate.Text = Mid(Now.ToString, 1, 10)

            Dim userIP As String = System.Web.HttpContext.Current.Request.UserHostAddress
            Session("ip") = userIP
            TextBoxBody.Text = HttpUtility.HtmlDecode(Session("body"))

        Else
            Session("date") = HttpUtility.HtmlEncode(LabelDate.Text)
            Session("name") = HttpUtility.HtmlEncode(LabelName.Text)
            Session("body") = HttpUtility.HtmlEncode(TextBoxBody.Text)
            If FileUpload1.HasFile Then
                Dim upFileName As String = FileUpload1.FileName
                If Len(upFileName) > 25 Then
                    Dim xName As String = Mid(System.IO.Path.GetFileNameWithoutExtension(upFileName), 1, 20)
                    Dim xExt As String = System.IO.Path.GetExtension(upFileName)
                    upFileName = xName & xExt
                End If
                Dim flName As String = HttpUtility.HtmlEncode(Replace(Replace(Replace(Session("date"), "/", ""), ":", ""), " ", "") & " - " & Replace(upFileName, "_", ""))
                FileUpload1.PostedFile.SaveAs(Server.MapPath("../images/" & flName))
                Session("photo") = flName

                Dim bigImage As String = Server.MapPath("../images/" & flName)
                Dim newImage As String = Server.MapPath("../images/" & Replace(flName, " -", " -New"))
                Dim bmpImage As System.Drawing.Bitmap = New System.Drawing.Bitmap(bigImage)
                Dim bigWidth As Integer = bmpImage.Width
                Dim bigHeight As Integer = bmpImage.Height
                Dim tmpData As Integer = 0
                Dim sw As Integer = 0
                If bigWidth > bigHeight Then
                    If bigWidth > 1024 Then
                        bigHeight = bigHeight / bigWidth * 1024
                        bigWidth = 1024
                        sw = 1
                    End If
                Else
                    If bigHeight > 768 Then
                        bigWidth = bigWidth / bigHeight * 768
                        bigHeight = 768
                        sw = 1
                    End If
                End If

                If sw = 1 Then
                    Dim actImage As System.Drawing.Bitmap = New System.Drawing.Bitmap(bmpImage, bigWidth, bigHeight)
                    actImage.Save(newImage, System.Drawing.Imaging.ImageFormat.Jpeg)
                    Session("photo") = Replace(flName, " -", " -New")
                End If
            End If
        End If
        If Session("photo") IsNot Nothing Then
            Image1.ImageUrl = "../images/" & Session("photo")
            Image1.Visible = True
        End If
    End Sub

    'これをコピーする
    Protected Function IsStatus() As String
        '管理者確認の問合せ
        Dim xCookie As String = ""
        If Request.Cookies("Local") IsNot Nothing Then
            xCookie = Request.Cookies("Local").Value
            Dim xTime As String = Format(Now, "hhmmss").ToString
            Dim x As String() = xCookie.Split(",")
            Dim enc As Encoding = Encoding.GetEncoding("UTF-8")
            Dim wc As WebClient = New WebClient()
            Dim host As String = System.Net.Dns.GetHostName
            Dim xPath As String = "http://" & host
            Dim st As Stream = wc.OpenRead(xPath & "/Approve/IsStatus.aspx?code=" & xTime & "," & xCookie)
            Dim sr As StreamReader = New StreamReader(st, enc)
            Dim html As String = sr.ReadToEnd()
            sr.Close()
            st.Close()
            Return html
        Else
            Return "不明,0,0,0,0,0,0,0,0,0,0"
        End If
    End Function

    Protected Sub Button3_Click(sender As Object, e As System.EventArgs) Handles Button3.Click
        If IsPostBack Then
            Session("date") = HttpUtility.HtmlEncode(LabelDate.Text)
            Session("name") = HttpUtility.HtmlEncode(LabelName.Text)
            Session("body") = HttpUtility.HtmlEncode(TextBoxBody.Text)
            Dim userIP As String = System.Web.HttpContext.Current.Request.UserHostAddress
            Session("ip") = userIP
            If Page.IsValid Then
                Response.Redirect("~/admin/Default2.aspx")
                Response.End()
            End If
        End If
    End Sub

    'Protected Sub Button1_Click(sender As Object, e As System.EventArgs) Handles Button1.Click
    '    'Mobile
    '    If IsPostBack Then
    '        vPage.Style.Add("width", "460px")
    '        PanelMain.Style.Add("width", "450px")
    '        PanelMenu1.Visible = False
    '        PanelMenu2.Visible = True
    '        Image1.Style.Add("width", "450px")
    '        'PanelMobile.Visible = True
    '        'PanelPC.Visible = False
    '        left.Style.Add("width", "450px")
    '    End If
    'End Sub

    'Protected Sub Button2_Click(sender As Object, e As System.EventArgs) Handles Button2.Click
    '    'PC
    '    If IsPostBack Then
    '        vPage.Style.Add("width", "1290px")
    '        PanelMain.Style.Add("width", "1040px")
    '        PanelMenu1.Visible = True
    '        PanelMenu2.Visible = False
    '        Image1.Style.Add("width", "1024px")
    '        left.Style.Add("width", "220px")
    '    End If
    'End Sub
End Class
