﻿Imports System.Net
Imports System.IO

Partial Class admin_Default2
    Inherits System.Web.UI.Page

    Protected Sub Button3_Click(sender As Object, e As System.EventArgs) Handles Button3.Click
        If IsPostBack Then
            Response.Redirect("~/admin/Default.aspx")
            Response.End()
        End If
    End Sub

    Protected Sub Button4_Click(sender As Object, e As System.EventArgs) Handles Button4.Click
        If IsPostBack Then
            'SqlDataSource1.Delete()
            'SqlDataSource1.Insert()
            Session("date") = Now.ToString
            Session("name") = HttpUtility.HtmlEncode(LabelName.Text)
            Session("iine") = 0
            SqlDataSourceNikki.Insert()
            Session.Remove("date")
            Session.Remove("time")
            Session.Remove("name")
            Session.Remove("body")
            Session.Remove("photo")
            Session.Remove("ip")

            Response.Redirect("../PCMobile.aspx")
        End If
    End Sub

    Protected Sub ButtonRotate_Click(sender As Object, e As System.EventArgs) Handles ButtonRotate.Click
        If IsPostBack Then
            Dim url As String = "../images/" & Session("photo")
            If System.IO.File.Exists(Server.MapPath(url)) Then
                Dim bmp As System.Drawing.Bitmap = New System.Drawing.Bitmap(Server.MapPath(url))
                bmp.RotateFlip(Drawing.RotateFlipType.Rotate270FlipXY)
                Dim url2 As String = "../images/" & Replace(Session("photo"), " -", " -R")
                bmp.Save(Server.MapPath(url2), System.Drawing.Imaging.ImageFormat.Jpeg)
                Session("photo") = Replace(Session("photo"), " -", " -R")
                Image1.ImageUrl = "../images/" & Session("photo")
            End If
        End If
    End Sub

    Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        'PC or Mobile
        If Request.Browser.IsMobileDevice Then
            vPage.Style.Add("width", "100%")
            PanelMain.Style.Add("width", "100%")
            PanelMenu1.Visible = False
            PanelMenu2.Visible = True
            Image1.Style.Add("width", "100%")
            left.Style.Add("width", "100%")
            main.Style.Add("width", "100%")
        Else
            vPage.Style.Add("width", "1290px")
            PanelMain.Style.Add("width", "1040px")
            PanelMenu1.Visible = True
            PanelMenu2.Visible = False
            Image1.Style.Add("width", "1024px")
            left.Style.Add("width", "220px")
            main.Style.Add("width", "1040px")
        End If

        If Not IsPostBack Then
            '認証
            Dim xCode As String() = IsStatus.Split(",")
            Dim n As Integer = Integer.Parse(xCode(xCode.Length - 1))
            If n >= 1 Then
            Else
                Response.Redirect("../NotAllowed.aspx?msg=認証されていません DBに無し")
                Response.End()
            End If
            LabelName.Text = xCode(2)
            LabelName2.Text = xCode(2)
            LabelDate.Text = Mid(Now.ToString, 1, 10)

            Dim userIP As String = System.Web.HttpContext.Current.Request.UserHostAddress
            Session("ip") = userIP

            LabelTooBig.Text = ""
            LabelDate.Text = HttpUtility.HtmlDecode(Session("date"))
            LabelName.Text = HttpUtility.HtmlDecode(Session("name"))
            LabelBody.Text = Replace(HttpUtility.HtmlDecode(Session("body")), vbLf, "<br />")
            'If Len(Session("body")) = 0 Then Session("body") = " "
            'If Session("body") Is Nothing Then Session("body") = ""
            'LabelBody.Text = Replace(Session("body"), vbLf, "<br />")
            If Session("photo") IsNot Nothing Then
                Image1.ImageUrl = "../images/" & Session("photo")
                Image1.Visible = True
                Dim img As New Drawing.Bitmap(Server.MapPath("../images/" & Session("photo")))
                Dim imgWidth As Integer = img.Width
                Dim imgHeight As Integer = img.Height
                If imgWidth = 1024 Or imgHeight = 1024 Then
                    ButtonRotate.Visible = True
                Else
                    ButtonRotate.Visible = False
                End If
                'If imgWidth > 1024 Then
                '    LabelTooBig.Text = "画像が大きすぎます"
                'End If
                'If imgHeight > 1024 Then
                '    LabelTooBig.Text = "画像が大きすぎます"
                'End If
            End If
        Else

        End If
    End Sub

    Protected Function IsStatus() As String
        '管理者確認の問合せ
        Dim xCookie As String = ""
        If Request.Cookies("Local") IsNot Nothing Then
            xCookie = Request.Cookies("Local").Value
            Dim xTime As String = Format(Now, "hhmmss").ToString
            Dim x As String() = xCookie.Split(",")
            Dim enc As Encoding = Encoding.GetEncoding("UTF-8")
            Dim wc As WebClient = New WebClient()
            Dim host As String = System.Net.Dns.GetHostName
            Dim xPath As String = "http://" & host
            Dim st As Stream = wc.OpenRead(xPath & "/Approve/IsStatus.aspx?code=" & xTime & "," & xCookie)
            Dim sr As StreamReader = New StreamReader(st, enc)
            Dim html As String = sr.ReadToEnd()
            sr.Close()
            st.Close()
            Return html
        Else
            Return "不明,0,0,0,0,0,0,0,0,0,0"
        End If
    End Function

End Class
