﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="system_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=0.75" />
    <title>フォト日記</title>
    <style>
        body
        {
            margin-top: 3px;
            background-image: url(../img/wallppr082.gif);
        }
        #vPage
        {
            background-image: url(../img/wallppr081.gif);
            margin: 0 auto;
            width: 1290px;
        }
        #header
        {
            padding-top: 7px;
            background-image: url(../img/Header50px.gif);
            background-repeat: repeat-x;
            text-align: center;
        }
        #left
        {
            width: 220px;
            font-size: 12pt;
            overflow: hidden;
            margin-top: 5px;
            padding-left: 10px;
            float: left;
        }
        #main
        {
            width: 1040px;
            overflow: hidden;
            margin-top: 3px;
            float: left;
            padding-right: 8px;
            padding-left: 10px;
        }
        #footer
        {
            clear: both;
            width: 100%;
            height: 50px;
            background-image: url(../img/wallppr033.gif);
            background-position: top left;
            background-repeat: repeat-x;
            overflow: hidden;
        }
        #footer h1
        {
            margin-top: 15px;
            padding-left: 30px;
            font-size: 14pt;
        }
        #PanelMain
        {
            padding-left: 10px;
        }
        #PanelPC
        {
            padding-left: 10px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <div id="header">
            <asp:Label ID="Label1" runat="server" Text="フォト日記" Font-Size="XX-Large" Font-Bold="true"></asp:Label>
            &nbsp;
            <asp:Label ID="LabelName" runat="server" Text="" Font-Bold="true" Font-Size="Small"></asp:Label>
        </div>
        <div id="contents">
            <div id="left" runat="server">
                    <asp:Menu ID="Menu1" runat="server" BackColor="#F5F4F1" DataSourceID="SiteMapDataSourceMenuMobile"
                        DynamicHorizontalOffset="2" Font-Names="Verdana" Font-Size="Large" ForeColor="#7C6F57"
                        StaticDisplayLevels="2" StaticSubMenuIndent="30px" Width="220px">
                        <DynamicHoverStyle BackColor="#7C6F57" ForeColor="White" Width="220px" />
                        <DynamicMenuItemStyle HorizontalPadding="5px" VerticalPadding="2px" Width="220px" />
                        <DynamicMenuStyle BackColor="#F7F6F3" Width="220px" />
                        <DynamicSelectedStyle BackColor="#5D7B9D" />
                        <StaticHoverStyle BackColor="#7C6F57" ForeColor="White" Width="220px" />
                        <StaticMenuItemStyle HorizontalPadding="5px" VerticalPadding="2px" Width="220px" />
                        <StaticSelectedStyle BackColor="#DA3C41" ForeColor="White" Width="220px" />
                    </asp:Menu>
                    <br />
                <asp:Button ID="Button1" runat="server" Text="Reset" Font-Bold="True" 
                        ForeColor="White" BackColor="Red" Visible="False" />
            </div>
            <div id="main" runat="server" style="overflow: auto; white-space: nowrap;">
                <asp:ListView ID="ListViewDB" runat="server" DataKeyNames="date" 
                    DataSourceID="SqlDataSourceDB">
                    <AlternatingItemTemplate>
                        <tr style="background-color: #FFFFFF;color: #284775;">
                            <td>
                                <asp:Button ID="DeleteButton" runat="server" CommandName="Delete" Text="削除" />
                                <asp:Button ID="EditButton" runat="server" CommandName="Edit" Text="編集" />
                            </td>
                            <td>
                                <asp:Label ID="dateLabel" runat="server" Text='<%# Eval("date") %>' />
                            </td>
                            <td>
                                <asp:Label ID="nameLabel" runat="server" Text='<%# Eval("name") %>' />
                            </td>
                            <td>
                                <asp:Label ID="bodyLabel" runat="server" Text='<%# Eval("body") %>' />
                            </td>
                            <td>
                                <asp:Label ID="photoLabel" runat="server" Text='<%# Eval("photo") %>' />
                            </td>
                            <td>
                                <asp:Label ID="ipLabel" runat="server" Text='<%# Eval("ip") %>' />
                            </td>
                            <td>
                                <asp:Label ID="iineLabel" runat="server" Text='<%# Eval("iine") %>' />
                            </td>
                        </tr>
                    </AlternatingItemTemplate>
                    <EditItemTemplate>
                        <tr style="background-color: #999999;">
                            <td>
                                <asp:Button ID="UpdateButton" runat="server" CommandName="Update" Text="更新" />
                                <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                                    Text="キャンセル" />
                            </td>
                            <td>
                                <asp:Label ID="dateLabel1" runat="server" Text='<%# Eval("date") %>' />
                            </td>
                            <td>
                                <asp:TextBox ID="nameTextBox" runat="server" Text='<%# Bind("name") %>' />
                            </td>
                            <td>
                                <asp:TextBox ID="bodyTextBox" runat="server" Text='<%# Bind("body") %>' />
                            </td>
                            <td>
                                <asp:TextBox ID="photoTextBox" runat="server" Text='<%# Bind("photo") %>' />
                            </td>
                            <td>
                                <asp:TextBox ID="ipTextBox" runat="server" Text='<%# Bind("ip") %>' />
                            </td>
                            <td>
                                <asp:TextBox ID="iineTextBox" runat="server" Text='<%# Bind("iine") %>' />
                            </td>
                        </tr>
                    </EditItemTemplate>
                    <EmptyDataTemplate>
                        <table runat="server" 
                            style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;">
                            <tr>
                                <td>
                                    データは返されませんでした。</td>
                            </tr>
                        </table>
                    </EmptyDataTemplate>
                    <InsertItemTemplate>
                        <tr style="">
                            <td>
                                <asp:Button ID="InsertButton" runat="server" CommandName="Insert" Text="挿入" />
                                <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" Text="クリア" />
                            </td>
                            <td>
                                <asp:TextBox ID="dateTextBox" runat="server" Text='<%# Bind("date") %>' />
                            </td>
                            <td>
                                <asp:TextBox ID="nameTextBox" runat="server" Text='<%# Bind("name") %>' />
                            </td>
                            <td>
                                <asp:TextBox ID="bodyTextBox" runat="server" Text='<%# Bind("body") %>' />
                            </td>
                            <td>
                                <asp:TextBox ID="photoTextBox" runat="server" Text='<%# Bind("photo") %>' />
                            </td>
                            <td>
                                <asp:TextBox ID="ipTextBox" runat="server" Text='<%# Bind("ip") %>' />
                            </td>
                            <td>
                                <asp:TextBox ID="iineTextBox" runat="server" Text='<%# Bind("iine") %>' />
                            </td>
                        </tr>
                    </InsertItemTemplate>
                    <ItemTemplate>
                        <tr style="background-color: #E0FFFF;color: #333333;">
                            <td>
                                <asp:Button ID="DeleteButton" runat="server" CommandName="Delete" Text="削除" />
                                <asp:Button ID="EditButton" runat="server" CommandName="Edit" Text="編集" />
                            </td>
                            <td>
                                <asp:Label ID="dateLabel" runat="server" Text='<%# Eval("date") %>' />
                            </td>
                            <td>
                                <asp:Label ID="nameLabel" runat="server" Text='<%# Eval("name") %>' />
                            </td>
                            <td>
                                <asp:Label ID="bodyLabel" runat="server" Text='<%# Eval("body") %>' />
                            </td>
                            <td>
                                <asp:Label ID="photoLabel" runat="server" Text='<%# Eval("photo") %>' />
                            </td>
                            <td>
                                <asp:Label ID="ipLabel" runat="server" Text='<%# Eval("ip") %>' />
                            </td>
                            <td>
                                <asp:Label ID="iineLabel" runat="server" Text='<%# Eval("iine") %>' />
                            </td>
                        </tr>
                    </ItemTemplate>
                    <LayoutTemplate>
                        <table runat="server">
                            <tr runat="server">
                                <td runat="server">
                                    <table ID="itemPlaceholderContainer" runat="server" border="1" 
                                        style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;font-family: Verdana, Arial, Helvetica, sans-serif;">
                                        <tr runat="server" style="background-color: #E0FFFF;color: #333333;">
                                            <th runat="server">
                                            </th>
                                            <th runat="server">
                                                date</th>
                                            <th runat="server">
                                                name</th>
                                            <th runat="server">
                                                body</th>
                                            <th runat="server">
                                                photo</th>
                                            <th runat="server">
                                                ip</th>
                                            <th runat="server">
                                                iine</th>
                                        </tr>
                                        <tr ID="itemPlaceholder" runat="server">
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr runat="server">
                                <td runat="server" 
                                    style="text-align: center;background-color: #5D7B9D;font-family: Verdana, Arial, Helvetica, sans-serif;color: #FFFFFF">
                                    <asp:DataPager ID="DataPager1" runat="server">
                                        <Fields>
                                            <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" 
                                                ShowLastPageButton="True" />
                                        </Fields>
                                    </asp:DataPager>
                                </td>
                            </tr>
                        </table>
                    </LayoutTemplate>
                    <SelectedItemTemplate>
                        <tr style="background-color: #E2DED6;font-weight: bold;color: #333333;">
                            <td>
                                <asp:Button ID="DeleteButton" runat="server" CommandName="Delete" Text="削除" />
                                <asp:Button ID="EditButton" runat="server" CommandName="Edit" Text="編集" />
                            </td>
                            <td>
                                <asp:Label ID="dateLabel" runat="server" Text='<%# Eval("date") %>' />
                            </td>
                            <td>
                                <asp:Label ID="nameLabel" runat="server" Text='<%# Eval("name") %>' />
                            </td>
                            <td>
                                <asp:Label ID="bodyLabel" runat="server" Text='<%# Eval("body") %>' />
                            </td>
                            <td>
                                <asp:Label ID="photoLabel" runat="server" Text='<%# Eval("photo") %>' />
                            </td>
                            <td>
                                <asp:Label ID="ipLabel" runat="server" Text='<%# Eval("ip") %>' />
                            </td>
                            <td>
                                <asp:Label ID="iineLabel" runat="server" Text='<%# Eval("iine") %>' />
                            </td>
                        </tr>
                    </SelectedItemTemplate>
                </asp:ListView>
                <asp:SqlDataSource ID="SqlDataSourceDB" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                    DeleteCommand="DELETE FROM [NikkiDB2] WHERE [date] = @date" 
                    InsertCommand="INSERT INTO [NikkiDB2] ([date], [name], [body], [photo], [ip], [iine]) VALUES (@date, @name, @body, @photo, @ip, @iine)" 
                    SelectCommand="SELECT * FROM [NikkiDB2] ORDER BY [date] DESC" 
                    
                    UpdateCommand="UPDATE [NikkiDB2] SET [name] = @name, [body] = @body, [photo] = @photo, [ip] = @ip, [iine] = @iine WHERE [date] = @date">
                    <DeleteParameters>
                        <asp:Parameter Name="date" Type="DateTime" />
                    </DeleteParameters>
                    <InsertParameters>
                        <asp:Parameter Name="date" Type="DateTime" />
                        <asp:Parameter Name="name" Type="String" />
                        <asp:Parameter Name="body" Type="String" />
                        <asp:Parameter Name="photo" Type="String" />
                        <asp:Parameter Name="ip" Type="String" />
                        <asp:Parameter Name="iine" Type="Int32" />
                    </InsertParameters>
                    <UpdateParameters>
                        <asp:Parameter Name="name" Type="String" />
                        <asp:Parameter Name="body" Type="String" />
                        <asp:Parameter Name="photo" Type="String" />
                        <asp:Parameter Name="ip" Type="String" />
                        <asp:Parameter Name="iine" Type="Int32" />
                        <asp:Parameter Name="date" Type="DateTime" />
                    </UpdateParameters>
                </asp:SqlDataSource>
            </div>
        </div>
    </div>
    <asp:SiteMapDataSource ID="SiteMapDataSourceMenuMobile" runat="server" SiteMapProvider="Menu2" />
    </form>
</body>
</html>
